#include <iostream.h>
#include <stdio.h>
#include <string.h>

#define ok(a,b) (b!=4 && !(a==1 && b==3))

long long dp[10][13], T, h;
char k[100];

int main(){
	for (int F=0; F<10; F++) dp[F][0] = 1;
	for (int L=1; L<13; L++)
		for (int F=0; F<10; F++) if (F!=4) 
			for (int D=0; D<10; D++) if (ok(F,D))
				dp[F][L] += dp[D][L-1];

	scanf("%lld",&T);
	while (T--){
		scanf("%s %lld",k,&h);
		long long floors = 0;
		for (int i=0, L=strlen(k); i<L; i++)
			for (int F=0; F<k[i]-'0'; F++)
				if (ok(i==0?0:k[i-1]-'0',F))
					floors += dp[F][L-i-1];
		//printf("%lld\n",floors * h);
		cout<<floors*h<<endl;
	}
}
